Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017803
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 09. Financial managementminorN/A2011-06-28 09:412011-11-07 12:01
ReportervmromanosView Statuspublic 
Assigned Tovmromanos 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9b8c53cf4a4d
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_12
OS VersionDebian 5.0Database version8.3.8Ant version1.7.0
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017803: Invoice post (dated on prepayment date if any)

DescriptionUses previously created payment (in/out) for a business partner when
completing an invoice.

It creates a new payment associated with the invoice with:
- Amount = 0
- Generated Credit = 0
- Used Credit = Invoice's grand total amount
The previously payment used-credit-amount is updated to the invoice's
grand total amount.

For finding the credit payment is mandatory that the generated credit amount is
equal to the invoice's grand total amount and the used credit is 0. So the whole
credit payment is used to pay the invoice.
Steps To ReproduceSee description
Proposed Solutionfixed and working
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0017892 closedvmromanos Descripcion del pago anticipado al procesar factura: AƱadir tb descripcion al plan de pagos para hacer referencia al anticipo or 
depends on backport 0017804 closedvmromanos Invoice post (dated on prepayment date if any) 
related to defect 00178753.0MP2 closedvmromanos Payment in/out awaiting execution status - few fields must not be editable 

-  Notes
(0038549)
vmromanos (developer)
2011-06-28 09:56

https://code.openbravo.com/erp/devel/pi/rev/9b8c53cf4a4d [^]

- Issue History
Date Modified Username Field Change
2011-06-28 09:41 vmromanos New Issue
2011-06-28 09:41 vmromanos Assigned To => vmromanos
2011-06-28 09:41 vmromanos Modules => Advanced Payables and Receivables Mngmt
2011-06-28 09:41 vmromanos Status new => scheduled
2011-06-28 09:41 vmromanos fix_in_branch => pi
2011-06-28 09:42 vmromanos Status scheduled => resolved
2011-06-28 09:42 vmromanos Fixed in SCM revision => 9b8c53cf4a4d
2011-06-28 09:42 vmromanos Resolution open => fixed
2011-06-28 09:56 vmromanos Note Added: 0038549
2011-07-04 19:26 psanjuan Relationship added related to 0017875
2011-07-11 11:28 psanjuan Status resolved => closed
2011-07-11 11:28 psanjuan fix_in_branch pi =>
2011-07-11 11:28 psanjuan Proposed Solution updated
2011-11-07 12:01 psanjuan Relationship added related to 0017892


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker